<mat-toolbar color="accent">
  <mat-toolbar-row>
    <span class="heading">Employees </span>
    <span *ngIf="selectedDepartment">&nbsp;- {{selectedDepartment.title}}</span>
    <span *ngIf="selectedPosition">&nbsp;- {{selectedPosition.title}}</span>
    <div class="menu-button-container">
      <mat-menu #appMenu="matMenu">
        <button mat-flat-button color="basic" aria-label="Add new" (click)="update()">
          <mat-icon>add</mat-icon>
          Add
        </button>
      </mat-menu>
      <button mat-icon-button [matMenuTriggerFor]="appMenu">
        <mat-icon>more_vert</mat-icon>
      </button>
    </div>
  </mat-toolbar-row>
</mat-toolbar>

<mat-table [dataSource]="employees" class="mat-elevation-z8">

  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.id}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="firstName">
    <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.firstName}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="lastName">
    <mat-header-cell *matHeaderCellDef> Surname </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.lastName}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="email">
    <mat-header-cell *matHeaderCellDef> E-mail </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.email}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="position">
    <mat-header-cell *matHeaderCellDef> Position </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.position}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="department">
    <mat-header-cell *matHeaderCellDef> Department </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.department}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="action">
    <mat-header-cell *matHeaderCellDef> Actions

    </mat-header-cell>
    <mat-cell *matCellDef="let element">
      <button mat-mini-fab color="warn" aria-label="Delete">
        <mat-icon (click)="confirmDelete(element)">delete</mat-icon>
      </button>
      <button mat-mini-fab color="accent" aria-label="Edit">
        <mat-icon (click)="update(element)">build</mat-icon>
      </button>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>

